/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2009. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
dojo.provide("com.ibm.team.apt.web.ui.internal.users.model.Absence"); //$NON-NLS-1$

dojo.require("com.ibm.team.apt.web.ui.internal.common.Assert"); //$NON-NLS-1$

(function() {
	
var Assert			= com.ibm.team.apt.web.ui.internal.common.Assert;

dojo.declare("com.ibm.team.apt.web.ui.internal.users.model.Absence", //$NON-NLS-1$
			 [], {
	
	description: null,
	startDate: null,
	endDate: null,
	itemId: null,
	isDraft: false,
	_model: null,
	
	constructor: function() {
		this.itemId= -1;
		this.isDraft= false;
	},

	// ---- api ------------------------------------------------------------------------------------------------------------
	
	getModel: function() {
		return this._model;
	},
	
	// ---- spi ------------------------------------------------------------------------------------------------------------
	
	// ---- implementation -------------------------------------------------------------------------------------------------

	__sentinel: null // terminates this class definition
});

})();
