/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2005, 2008. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
dojo.provide("com.ibm.team.workitem.web.ui.internal.view.layout.SectionMenuWidget");

	dojo.require("dijit._Widget");
	dojo.require("dijit._Templated");

dojo.require("com.ibm.team.workitem.web.ui.internal.view.layout.WidgetUtil");

(function() {

var WidgetUtil = com.ibm.team.workitem.web.ui.internal.view.layout.WidgetUtil;

/* defineWidget */ dojo.declare(
	"com.ibm.team.workitem.web.ui.internal.view.layout.SectionMenuWidget",
	[dijit._Widget, dijit._Templated],
	{

		templateString: '<div class="SectionMenuWidget">' +
						'<div dojoAttachPoint="_actionDIV" class="SectionMenuActionBar"></div>' +
						'</div>',

		postCreate: function() {
			for(var i=0;i<this.actionWidgets.length; i++) {
				var widget = this.actionWidgets[i];
				this._actionDIV.appendChild(widget.domNode);
				dojo.addClass(widget.domNode,"SectionMenuActionBarWidget");
			}
		}
	}
);

})();
